# BEGIN SourceDeps(oneline):
BuildRequires: perl(DBD/mysql.pm) perl(DBI.pm) perl(ExtUtils/MakeMaker.pm) perl(Glib.pm) perl(Glib/Object/Subclass.pm) perl(Gtk2.pm) perl(Gtk2/Ex/Dialogs.pm) perl(Gtk2/Gdk/Keysyms.pm) perl(Gtk2/Pango.pm) perl(Test/More.pm) xvfb-run
# END SourceDeps(oneline)
%ifndef _build_display
%def_without test
%endif
%define module_version 2.1
%define module_name Gtk2-Ex-Datasheet-DBI
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.1
Release: alt1
Summary: init;
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/D/DK/DKASAK/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This module automates the process of setting up a model and treeview based on field definitions you pass it,
querying the database, populating the model, and updating the database with changes made by the user.

Steps for use:

* Open a DBI connection

* Create a 'bare' Gtk2::TreeView - I use Gtk2::GladeXML, but I assume you can do it the old-fashioned way

* Create a Gtk2::Ex::Datasheet::DBI object and pass it your TreeView object

You would then typically create some buttons and connect them to the methods below to handle common actions
such as inserting, deleting, etc.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build
xvfb-run -a make test

%install
%perl_vendor_install

%files
%doc TODO COPYRIGHT Changes README
%perl_vendor_privlib/G*

%changelog
* Thu Oct 17 2013 Igor Vlasenko <viy@altlinux.ru> 2.1-alt1
- initial import by package builder

